Subject: bug#10264: 24.0.92; Indentation not working in pascal-mode

From: Glenn Morris <[email-masked]>
Date: Sat, 10 Dec 2011 14:42:26 -0500

Grzegorz Kowzan wrote:

> and press <TAB> between "begin" and "end."  Produces an error message in
> minibuffer "Symbol's value as variable void: ind" and does nothing else.

This is caused by the use of lexical-binding in pascal.el.
pascal-indent-line evals pascal-indent-alist to calculate an indent.

> In GNU Emacs 24.0.92.1 (x86_64-pc-linux-gnu, GTK+ Version 3.2.2)